#!/bin/sh
#
# Starting with release 1.3 INDI ships libindi and 3rdparty stuff (with nonfree
# BLOBs) in one big tar archive. Thus we have to generate a clean one for
# Fedora containing only the free library itself.

NAME="indi-apogee"
ORIG=indi-$1
NEW=$NAME-$1

echo "Generating clean tar for $NAME"
echo "Unpack original tar"
tar -xzf $ORIG.tar.gz
echo "Packing new tar for $NAME"
mv $ORIG/3rdparty/$NAME $NEW
cp -r $ORIG/cmake_modules $NEW/cmake_modules
tar -cpzf $NEW.tar.gz $NEW
echo "Clean up"
rm -rf $ORIG $NEW
echo "Done! Generated $NEW.tar.gz"
